Public Class BeamMachiningsWindowV

   Private WithEvents m_BeamMachiningsWindowVM As MyBeamMachiningsWindowVM

   Sub New(Owner As Window, BeamMachiningsWindowVM As MyBeamMachiningsWindowVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = BeamMachiningsWindowVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_BeamMachiningsWindowVM = BeamMachiningsWindowVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_BeamMachiningsWindowVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
